com.verisign.epp.codec.validate.v02

## Class EPPValidateContact

- java.lang.Object
- - com.verisign.epp.codec.validate.v02.EPPValidateContact

- All Implemented Interfaces:
    EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

      public class EPPValidateContact
      extends java.lang.Object
      implements EPPCodecComponent

  Represents a <validate:contact> element in the Validate Check Command.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ELM_LOCALNAME` XML local name for `EPPValidateContact`.
    `static java.lang.String` | `ELM_NAME` XML root tag for `EPPValidateContact`.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPValidateContact()` `EPPValidateContact` default constructor.
    `EPPValidateContact(java.lang.String aId, java.lang.String aContactType, java.lang.String aTld)` `EPPValidateContact` default constructor that takes the required attributes.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addKeyValue(EPPValidateKeyValue aKeyValue)` Adds a key value pair to the list of key value pairs.
    `void` | `addPostalInfo(EPPValidatePostalDefinition aPostalInfo)` Adds a postal definition to the postal information for the contact.
    `java.lang.Object` | `clone()` Clone `EPPValidateContact`.
    `void` | `decode(org.w3c.dom.Element aElement)` Decode the `EPPValidateContact` attributes from the aElement DOM Element tree.
    `org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPValidateContact` instance.
    `boolean` | `equals(java.lang.Object aObject)` Compare an instance of `EPPValidateContact` with this instance.
    `EPPValidateAuthInfo` | `getAuthInfo()` Gets the authorization info value.
    `java.lang.String` | `getContactType()` Gets the contact type.
    `java.lang.String` | `getEmail()` Gets the contact email value.
    `java.lang.String` | `getFax()` Gets the contact fax value.
    `java.lang.String` | `getFaxExt()` Gets the contact fax extension value.
    `java.lang.String` | `getId()` Gets the contact identifier.
    `java.util.List<EPPValidateKeyValue>` | `getKeyValues()` Gets the full list of key value pairs.
    `java.lang.String` | `getNamespace()` Gets the EPP command namespace associated with `EPPValidateContact`.
    `java.util.List<EPPValidatePostalDefinition>` | `getPostalInfo()` Gets the postal information for the contact.
    `java.lang.String` | `getTld()` Gets the TLD.
    `java.lang.String` | `getType()` Gets the EPP response type associated with `EPPValidateContact`.
    `java.lang.String` | `getVoice()` Gets the contact voice value.
    `java.lang.String` | `getVoiceExt()` Gets the contact voice extension value.
    `boolean` | `hasAuthInfo()` Is the authorization info defined?
    `boolean` | `hasEmail()` Is the email defined?
    `boolean` | `hasFax()` Is the contact fax value been defined?
    `boolean` | `hasFaxExt()` Is the contact fax extension value defined?
    `boolean` | `hasPostalInfo()` Is there any postal information set?
    `boolean` | `hasVoice()` Is the contact voice value been defined?
    `boolean` | `hasVoiceExt()` Is the contact voice extension value defined?
    `void` | `setAuthInfo(EPPValidateAuthInfo aAuthInfo)` Sets the authorization info value.
    `void` | `setContactType(java.lang.String aContactType)` Sets the contact type.
    `void` | `setEmail(java.lang.String aEmail)` Sets the contact email value.
    `void` | `setFax(java.lang.String aFax)` Sets the contact fax value.
    `void` | `setFaxExt(java.lang.String aFaxExt)` Sets the contact fax extension value.
    `void` | `setId(java.lang.String aId)` Sets the contact identifier.
    `void` | `setKeyValues(java.util.List<EPPValidateKeyValue> aKeyValues)` Sets the full list of key value pairs.
    `void` | `setPostalInfo(java.util.List<EPPValidatePostalDefinition> aPostalInfo)` Sets the postal information for the contact.
    `void` | `setTld(java.lang.String aTld)` Sets the TLD.
    `void` | `setVoice(java.lang.String aVoice)` Sets the contact voice value.
    `void` | `setVoiceExt(java.lang.String aVoiceExt)` Sets the contact voice extension value.
    `java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_LOCALNAME

          public static final java.lang.String ELM_LOCALNAME

      XML local name for `EPPValidateContact`.
      See Also:
        Constant Field Values

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      XML root tag for `EPPValidateContact`.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPValidateContact

          public EPPValidateContact()

      `EPPValidateContact` default constructor.

    - #### EPPValidateContact

          public EPPValidateContact(java.lang.String aId,
                                    java.lang.String aContactType,
                                    java.lang.String aTld)

      `EPPValidateContact` default constructor that takes the required attributes.
      Parameters:
        `aId` - Contact identifier
        `aContactType` - Contact type
        `aTld` - TLD

  - ### Method Detail

    - #### getId

          public java.lang.String getId()

      Gets the contact identifier.
      Returns:
        The contact identifier if defined;`null` otherwise.

    - #### setId

          public void setId(java.lang.String aId)

      Sets the contact identifier.
      Parameters:
        `aId` - The contact identifier

    - #### getContactType

          public java.lang.String getContactType()

      Gets the contact type.
      Returns:
        The contact type if defined;`null` otherwise.

    - #### setContactType

          public void setContactType(java.lang.String aContactType)

      Sets the contact type.
      Parameters:
        `aType` - The contact type

    - #### getTld

          public java.lang.String getTld()

      Gets the TLD.
      Returns:
        The TLD if defined;`null` otherwise.

    - #### setTld

          public void setTld(java.lang.String aTld)

      Sets the TLD.
      Parameters:
        `aTld` - The TLD

    - #### hasPostalInfo

          public boolean hasPostalInfo()

      Is there any postal information set?
      Returns:
        `true` if there is at least one `EPPValidatePostalDefinition` set in the postal information; `false` otherwise.

    - #### addPostalInfo

          public void addPostalInfo(EPPValidatePostalDefinition aPostalInfo)

      Adds a postal definition to the postal information for the contact.
      Parameters:
        `aPostalInfo` - Postal definition to add to the postal information.

    - #### getPostalInfo

          public java.util.List<EPPValidatePostalDefinition> getPostalInfo()

      Gets the postal information for the contact. There can be one or two `EPPValidatePostalDefinition` objects in the postal information list.
      Returns:
        Postal information for the contact

    - #### setPostalInfo

          public void setPostalInfo(java.util.List<EPPValidatePostalDefinition> aPostalInfo)

      Sets the postal information for the contact. There can be one or two `EPPValidatePostalDefinition` objects in the postal information list.
      Parameters:
        `aPostalInfo` - Postal information for the contact.

    - #### hasVoice

          public boolean hasVoice()

      Is the contact voice value been defined?
      Returns:
        `true` if the contact voice value is defined; `false` otherwise.

    - #### getVoice

          public java.lang.String getVoice()

      Gets the contact voice value.
      Returns:
        the contact voice value if defined; `null` otherwise.

    - #### setVoice

          public void setVoice(java.lang.String aVoice)

      Sets the contact voice value.
      Parameters:
        `aVoice` - the contact voice value.

    - #### hasVoiceExt

          public boolean hasVoiceExt()

      Is the contact voice extension value defined?
      Returns:
        `true` if the contact voice extension value is defined; `false` otherwise.

    - #### getVoiceExt

          public java.lang.String getVoiceExt()

      Gets the contact voice extension value.
      Returns:
        the contact voice extension value if defined; `null` otherwise.

    - #### setVoiceExt

          public void setVoiceExt(java.lang.String aVoiceExt)

      Sets the contact voice extension value.
      Parameters:
        `aVoiceExt` - the contact voice extension value

    - #### hasFax

          public boolean hasFax()

      Is the contact fax value been defined?
      Returns:
        `true` if the contact fax value is defined; `false` otherwise.

    - #### getFax

          public java.lang.String getFax()

      Gets the contact fax value.
      Returns:
        the contact fax value if defined; `null` otherwise.

    - #### setFax

          public void setFax(java.lang.String aFax)

      Sets the contact fax value.
      Parameters:
        `aFax` - the contact fax value.

    - #### hasFaxExt

          public boolean hasFaxExt()

      Is the contact fax extension value defined?
      Returns:
        `true` if the contact fax extension value is defined; `false` otherwise.

    - #### getFaxExt

          public java.lang.String getFaxExt()

      Gets the contact fax extension value.
      Returns:
        the contact fax extension value if defined; `null` otherwise.

    - #### setFaxExt

          public void setFaxExt(java.lang.String aFaxExt)

      Sets the contact fax extension value.
      Parameters:
        `aFaxExt` - the contact fax extension value

    - #### hasEmail

          public boolean hasEmail()

      Is the email defined?
      Returns:
        `true` if the email is defined; `false` otherwise.

    - #### getEmail

          public java.lang.String getEmail()

      Gets the contact email value.
      Returns:
        the email if defined; `null` otherwise.

    - #### setEmail

          public void setEmail(java.lang.String aEmail)

      Sets the contact email value.
      Parameters:
        `aEmail` - the email to set

    - #### hasAuthInfo

          public boolean hasAuthInfo()

      Is the authorization info defined?
      Returns:
        `true` if the authorization info is defined; `false` otherwise.

    - #### getAuthInfo

          public EPPValidateAuthInfo getAuthInfo()

      Gets the authorization info value.
      Returns:
        the authorization info value if defined; `null` otherwise.

    - #### setAuthInfo

          public void setAuthInfo(EPPValidateAuthInfo aAuthInfo)

      Sets the authorization info value.
      Parameters:
        `aAuthInfo` - The authorization info value

    - #### addKeyValue

          public void addKeyValue(EPPValidateKeyValue aKeyValue)

      Adds a key value pair to the list of key value pairs. The key value pair is used to defined additional contact attributes. The key value pair should not include the `contactType` attribute.
      Parameters:
        `aKeyValue` - Key value pair to add to the list

    - #### setKeyValues

          public void setKeyValues(java.util.List<EPPValidateKeyValue> aKeyValues)

      Sets the full list of key value pairs. A key value pair is used to define additional contact attributes.
      Parameters:
        `aKeyValues` - List of `EPPValidateKeyValue` instances.

    - #### getKeyValues

          public java.util.List<EPPValidateKeyValue> getKeyValues()

      Gets the full list of key value pairs. A key value pair is used to define additional contact attributes.
      Returns:
        List of `EPPValidateKeyValue` instances.

    - #### encode

          public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                                     throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the `EPPValidateContact` instance.
      Specified by:
        `encode` in interface `EPPCodecComponent`
      Parameters:
        `aDocument` - DOM Document that is being built. Used as an Element factory.
      Returns:
        Element Root DOM Element representing the `EPPValidateCheckResult` instance.
      Throws:
        `EPPEncodeException` - Unable to encode `EPPValidateCheckResult` instance.

    - #### decode

          public void decode(org.w3c.dom.Element aElement)
                      throws EPPDecodeException

      Decode the `EPPValidateContact` attributes from the aElement DOM Element tree.
      Specified by:
        `decode` in interface `EPPCodecComponent`
      Parameters:
        `aElement` - Root DOM Element to decode `EPPValidateCheckResult` from.
      Throws:
        `EPPDecodeException` - Unable to decode aElement.

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPValidateContact`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        clone of `EPPValidateContact`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### getType

          public java.lang.String getType()

      Gets the EPP response type associated with `EPPValidateContact`.
      Returns:
        `EPPValidateContact.ELM_NAME`

    - #### getNamespace

          public java.lang.String getNamespace()

      Gets the EPP command namespace associated with `EPPValidateContact`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Returns:
        `EPPValidateMapFactory.NS`

    - #### equals

          public boolean equals(java.lang.Object aObject)

      Compare an instance of `EPPValidateContact` with this instance.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `aObject` - Object to compare with.
      Returns:
        `true` if this object is the same as the aObject argument; `false` otherwise

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

Copyright © VeriSign Inc. All Rights Reserved.